#include <bits/stdc++.h>

using namespace std;
long long t, m[600000];
int main()
{
    cin>>t;
    for (int z=0;z<t;z++)
    {
        long long n,q;
        cin>>n>>q;

        for (int i=0;i<n;i++)
        {
            cin>>m[i];
        }
        long long otv=0;
        for (int i=0;i<n;i++)
        {
            long long summ=m[i];
            if (summ==1)
                otv++;
                if (q==0 && summ == 0)
                otv++;

            for (int j=i+1;j<=n-1;j++)
            {
                summ+=m[j];
                //cout<<summ<<" "<<i<<" "<<j<<endl;
                if (summ*100>=q*(j-i+1))
                    otv++;
            }
        }
        if (t!=1)
        cout<<otv<<" ";
        else
            cout<<otv;
    }
}
